Vulnerability & Exploit Database

Back to search

Apache Struts DefaultActionMapper OGNL arbitrary command execution (CVE-2013-2251)

Severity CVSS Published Added Modified
9 (AV:N/AC:M/Au:N/C:C/I:C/A:C) July 20, 2013 July 25, 2013 July 04, 2017

Available Exploits 

Description

Apache Struts 2.0.0 through 2.3.15 allows remote attackers to execute arbitrary OGNL expressions via a parameter with a crafted (1) action:, (2) redirect:, or (3) redirectAction: prefix.

Scan For This Vulnerability

Use our top-rated tool to discover, prioritize, and remediate your vulnerabilities

 Free InsightVM Trial

References

Solution

apache-struts-upgrade-latest

Related Vulnerabilities